Subject: Re: pull request: bluetooth-next 2022-07-22

From: Jakub Kicinski <[email-masked]>
Date: Fri, 22 Jul 2022 17:19:19 -0700

On Fri, 22 Jul 2022 17:09:33 -0700 Luiz Augusto von Dentz wrote:
> > I see two new sparse warnings (for a follow up):
> >
> > net/bluetooth/hci_event.c:3789:26: warning: cast to restricted __le16
> > net/bluetooth/hci_event.c:3791:26: warning: cast to restricted __le16  
> 
> Crap, let me fix them.

Do you mean i should hold off with pushing or you'll follow up?

> > Two bad Fixes tags:
> >
> > Commit: 68253f3cd715 ("Bluetooth: hci_sync: Fix resuming scan after suspend resume")
> >         Fixes tag: Fixes: 3b42055388c30 (Bluetooth: hci_sync: Fix attempting to suspend with
> >         Has these problem(s):
> >                 - Subject has leading but no trailing parentheses
> > Commit: 9111786492f1 ("Bluetooth: fix an error code in hci_register_dev()")
> >         Fixes tag: Fixes: d6bb2a91f95b ("Bluetooth: Unregister suspend with userchannel")
> >         Has these problem(s):
> >                 - Target SHA1 does not exist
> >
> > And a whole bunch of patches committed by you but signed off by Marcel.
> > Last time we tried to fix that it ended up making things worse.
> > So I guess it is what it is :) Pulling...  
> 
> Yep, that happens when I rebase on top of net-next so I would have to
> redo all the Signed-off-by lines if the patches were originally
> applied by Marcel, at least I don't know of any option to keep the
> original committer while rebasing?

I think the most common way is to avoid rebasing. Do you rebase to get
rid of revised patches or such?